## nvidia-graphics-drivers 535.161.08

=== debian/changelog ===
nvidia-graphics-drivers (535.161.08-2) unstable; urgency=medium

  * nvidia-driver-full: libnvidia-fbc1 and libnvidia-rtcore are not available
    on ppc64el.
  * Add autopkgtest testing the installation of the full driver suite.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2024 13:28:15 +0200

nvidia-graphics-drivers (535.161.08-1) unstable; urgency=medium

  * New upstream Tesla branch release 535.161.08 (2024-03-18).
    (Closes: #1061269, #1061597, #1059339)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 07:37:55 +0100

nvidia-graphics-drivers (535.161.07-1) experimental; urgency=medium

  * New upstream LTS and Tesla branch release 535.161.07 (2024-02-22).
    * Fixed CVE-2024-0074, CVE-2024-0075, CVE-2024-0078.  (Closes: #1064983)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5520
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2024 23:44:46 +0100

nvidia-graphics-drivers (535.154.05-1) experimental; urgency=medium

  * New upstream LTS and Tesla branch release 535.154.05 (2024-01-16).
    * Improved compatibility with recent Linux kernels.
  * New upstream long term support branch release 535.146.02 (2023-12-07).
    - Fixed a bug that could cause some multi-GPU systems to crash on suspend.
    - Fixed a bug that could cause the system to crash when an application
      is run with __NV_PRIME_RENDER_OFFLOAD=1.
    - Fixed a bug which prevented application profiles from getting applied
      to PRIME Render Offloaded applications running via Wine.
    - Disabled PRIME Display Offload Sink support for virtual displays on
      datacenter GPUs. This prevents unusable desktop layouts from getting
      automatically configured on systems with a mix of physical and virtual
      displays.
    - Fixed a bug that caused high CPU usage during system suspend, which could
      lead to the system not entering s2idle in some cases.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2024 12:13:05 +0100

nvidia-graphics-drivers (535.129.03-1) experimental; urgency=medium

  * New upstream LTS and Tesla branch release 535.129.03 (2023-10-31).
    * Fixed CVE-2023-31022.  (Closes: #1055136)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5491
    - Fixed a bug that could cause modes to fail validation when
      Option "ModeValidation" "NoExtendedGpuCapabilitiesCheck" is specified in
      xorg.conf.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Update symbols files.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Mar 2024 11:13:54 +0100

nvidia-graphics-drivers (535.113.01-1) unstable; urgency=medium

  * New upstream long term support branch release 535.113.01 (2023-09-21).
    - Fixed a bug that intermittently caused the display to freeze when
      resuming from suspend on some Ada GPUs.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update package descriptions.  (Closes: #1013462)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Mar 2024 23:36:37 +0100

nvidia-graphics-drivers (535.104.12-2) experimental; urgency=medium

  * Backport drm_unlocked_ioctl_flag_present changes from 470.239.06 to fix
    kernel module build for Linux 6.8.
  * Backport screen_info changes from 470.182.03 and 470.239.06 to fix kernel
    module build for Linux 6.7 on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Mar 2024 09:31:09 +0100

nvidia-graphics-drivers (535.104.12-1) experimental; urgency=medium

  * New upstream Tesla branch release 535.104.12 (2023-09-25).
  * New upstream LTS and Tesla branch release 535.104.05 (2023-08-22).
  * New upstream long term support branch release 535.98 (2023-08-08).
    - Fixed an issue which caused the following error message to appear
      spuriously when using SLI with the NVIDIA Open GPU Kernel Modules:
      (EE) NVIDIA: Unable to disable FB size compare
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Update symbols files.
  * Merge changes from 525.147.05-9.  (Closes: #1064194)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Mar 2024 20:26:12 +0100

nvidia-graphics-drivers (535.86.10-1) experimental; urgency=medium

  * New upstream Tesla branch release 535.86.10 (2023-07-31).

  [ Andreas Beckmann ]
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Feb 2024 00:20:41 +0100

nvidia-graphics-drivers (535.86.05-1) experimental; urgency=medium

  * New upstream long term support branch release 535.86.05 (2023-07-18).
    - Fixed a bug that caused excessive memory consumption when OpenGL and
      Vulkan applications were running while VT-switched away from X.
    - Fixed a bug that could cause the kernel to panic when video memory
      is full.
    - Fixed a bug that prevented displays from refreshing when using an
      NVIDIA PRIME Display Offload sink.
    - Fixed a bug that could cause some Variable Refresh Rate (VRR)
      monitors to flicker by allowing the refresh rate to drop below
      the monitor's minimum.
    - Fixed a bug that caused corruption when running Vulkan applications.
    - Fixed a regression that could cause a system hang when running windowed
      Vulkan applications with sync-to-vblank enabled.
    - Fixed a video memory leak observed when turning off a connected
      monitor while using certain Wayland compositors.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Merge changes from 525.147.05-7.
  * Add nvidia-driver-full metapackage depending on all driver components and
    libraries.  (Closes: #1063881)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Feb 2024 17:35:52 +0100


