## nvidia-graphics-drivers 535.183.01

=== debian/changelog ===
nvidia-graphics-drivers (535.183.01-1~deb12u1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Jun 2024 08:14:13 +0200

nvidia-graphics-drivers (535.183.01-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 21:22:21 +0200

nvidia-graphics-drivers (535.183.01-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.183.01 (2024-06-04).
    * Fixed CVE-2024-0090, CVE-2024-0092.  (Closes: #1072792)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5551
    - Fixed a bug that could cause additional X screens to claim displays
      that should have been assigned to a prior X screen based on the given X
      configuration.
  * New upstream long term support branch release 535.179 (2024-05-09).
  * New upstream long term support branch release 535.171.04 (2024-03-21).
    - Fixed Xid error when playing Alan Wake 2 with ray tracing enabled.
    - Fixed a regression which prevented some Vulkan applications from
      receiving VK_DEVICE_LOST upon a VT switch, which could lead to the
      application hanging or behaving incorrectly.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jun 2024 11:20:01 +0200

nvidia-graphics-drivers (535.161.08-3) unstable; urgency=medium

  * Add systemd drop-in configuration files setting
    - SYSTEMD_SLEEP_FREEZE_USER_SESSIONS=false and
    - SYSTEMD_HOME_LOCK_FREEZE_SESSION=false
    needed from systemd 256 onwards.  (Closes: #1072722)
  * libegl-nvidia0: Add manual dependency on libnvidia-egl-wayland1 as
    libnvidia-egl-wayland.so.1 seems to get dlopen()ed now. (Closes: #1072142)
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Jun 2024 14:34:48 +0200

nvidia-graphics-drivers (535.161.08-2~deb12u1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * libnvidia-pkcs11-openssl3: Ship the library built against OpenSSL 1.1
    (instead of OpenSSL 3), but don't change the package name.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 May 2024 00:44:38 +0200

nvidia-graphics-drivers (535.161.08-2~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 May 2024 07:19:01 +0200
