=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  linux-headers-powerpc64le [ppc64el] <!nocheck>,
  libglvnd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.nvidia.com
 Testsuite: autopkgtest-pkg-dkms
 XS-Autobuild: yes
@@ -49,7 +49,7 @@
 Recommends:
  ${nvidia-settings},
  lib${nvidia}-cfg1 (= ${binary:Version}),
- nvidia-persistenced,
+ nvidia-persistenced (>= ${nvidia:Version:major}),
 Suggests:
  ${nvidia:kmod:source},
 Provides:
@@ -141,7 +141,7 @@
  ${nvidia}-driver package instead.
 
 Package: firmware-nvidia-gsp
-Section: non-free-firmware/kernel
+Section: non-free/kernel
 Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends:
@@ -351,4 +351,3 @@
 Architecture: i386 amd64 arm64 ppc64el
 Multi-Arch: same
 Depends:
- libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
