## nvidia-graphics-drivers 535.183.06

=== debian/changelog ===
nvidia-graphics-drivers (535.183.06-1) unstable; urgency=medium

  * New upstream Tesla branch release 535.183.06 (2024-07-09).

  [ Andreas Beckmann ]
  * Use dh_movetousr (if available) to relocate the firmware to /usr where
    needed.  (Closes: #1073744)
  * Log an error message if nvidia-peermem refuses to load because it was
    built without IB peer memory symbols present.  (Closes: #1074350)
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.  (Closes: #1077841, #1078425, #1078462, #1078489, #1078424)
  * ppc64el: Use pfn_valid() variant with rcu_read_{,un}lock_sched() for
    Linux 5.10 from 5.10.210 onwards to avoid using GPL symbols.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Aug 2024 07:51:39 +0200

nvidia-graphics-drivers (525.147.05-11) UNRELEASED; urgency=medium

  * Use dh_movetousr (if available) to relocate the firmware to /usr where
    needed.  (Closes: #1073744)
  * Log an error message if nvidia-peermem refuses to load because it was
    built without IB peer memory symbols present.  (Closes: #1074350)
  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * ppc64el: Use pfn_valid() variant with rcu_read_{,un}lock_sched() for
    Linux 5.10 from 5.10.210 onwards to avoid using GPL symbols.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Aug 2024 03:49:21 +0200

nvidia-graphics-drivers (470.256.02-3) UNRELEASED; urgency=medium

  * Use dh_movetousr (if available) to relocate the firmware to /usr where
    needed.  (Closes: #1073744)
  * Log an error message if nvidia-peermem refuses to load because it was
    built without IB peer memory symbols present.  (Closes: #1074350)
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 03 Aug 2024 14:35:11 +0200

nvidia-graphics-drivers (460.106.00-17) UNRELEASED; urgency=medium

  * ppc64el: Use pfn_valid() variant with rcu_read_{,un}lock_sched() for
    Linux 5.10 from 5.10.210 onwards to avoid using GPL symbols.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Aug 2024 11:25:07 +0200

nvidia-graphics-drivers (460.106.00-16) UNRELEASED; urgency=medium

  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Aug 2024 14:54:53 +0200

nvidia-graphics-drivers (450.248.02-7) UNRELEASED; urgency=medium

  * ppc64el: Use pfn_valid() variant with rcu_read_{,un}lock_sched() for
    Linux 5.10 from 5.10.210 onwards to avoid using GPL symbols.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Aug 2024 14:37:06 +0200

nvidia-graphics-drivers (450.248.02-6) UNRELEASED; urgency=medium

  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 31 Jul 2024 22:59:02 +0200

nvidia-graphics-drivers (418.226.00-16) UNRELEASED; urgency=medium

  * Backport pfn_valid changes in nv-mmap.c from 470.239.06.
  * ppc64el: Use pfn_valid() variant with rcu_read_{,un}lock_sched() for
    Linux 5.10 from 5.10.210 onwards to avoid using GPL symbols.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Aug 2024 15:23:24 +0200

nvidia-graphics-drivers (418.226.00-15) UNRELEASED; urgency=medium

  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Jul 2024 02:59:41 +0200

nvidia-graphics-drivers (390.157-8) UNRELEASED; urgency=medium

  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jul 2024 22:29:09 +0200
