=== debian/control ===
--- 
+++ 
@@ -141,7 +141,7 @@
  ${nvidia}-driver package instead.
 
 Package: firmware-nvidia-gsp
-Section: non-free/kernel
+Section: non-free-firmware/kernel
 Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends:
