## nvidia-graphics-drivers 535.216.01

=== debian/changelog ===
nvidia-graphics-drivers (535.216.01-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Nov 2024 22:39:43 +0100

nvidia-graphics-drivers (535.216.01-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.216.01 (2024-10-22).
    * Fixed CVE-2024-0126.  (Closes: #1085968)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5586
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * nvidia-detect: Add support for Tesla 535 drivers.
  * nvidia-detect: Restrict support to driver series in trixie.
  * Clean up packaging cruft in preparation for forking Tesla 535 drivers.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Nov 2024 18:03:36 +0100

nvidia-graphics-drivers (535.183.06-2) unstable; urgency=medium

  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm*.  (Closes: #1084844)
  * Regenerate debian/control with libdpkg-perl/bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Oct 2024 09:42:15 +0200

nvidia-graphics-drivers (525.147.05-12) UNRELEASED; urgency=medium

  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2024 08:09:15 +0200

nvidia-graphics-drivers (470.256.02-4) UNRELEASED; urgency=medium

  * The Tesla 470 driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://docs.nvidia.com/datacenter/tesla/drivers/

  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Oct 2024 10:22:53 +0200

nvidia-graphics-drivers (460.106.00-18) UNRELEASED; urgency=medium

  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Oct 2024 08:40:16 +0200

nvidia-graphics-drivers (450.248.02-8) UNRELEASED; urgency=medium

  * Simplify using nv_pfn_valid() in virt_addr_valid() on ppc64el.
  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Oct 2024 00:17:11 +0200

nvidia-graphics-drivers (390.157-9) UNRELEASED; urgency=medium

  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm*.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Nov 2024 09:16:04 +0100
